.transaction-group-date {
  font-size: 22px;
  opacity: 0.9;
  color: $nlbDarkestGreyColor;
  font-family: $istok-web;
  text-transform: capitalize;
}

.transaction-item-details-wrapper {
  margin-left: 72px;
  width: calc(100% - 72px);
}

.transaction-item-header {
  font-family: $roboto;
  position: relative;
  z-index: 1;
  //background-color: white;
  height: 96px;
  //border-radius: 6px;
  //padding: 0 40px;

  @include media-breakpoint-down(md) {
    padding: 0 24px;
  }
  @include media-breakpoint-down(sm) {
    padding: 0 8px;
    min-height: 120px;
    height: auto;
  }

  &.smaller-card {
    padding: 0 16px;

    .transaction-description {
      max-width: 300px;
      @include media-breakpoint-down(sm) {
        max-width: 260px;
      }
      @media (max-width: 420px) {
        max-width: 225px;
      }
    }
  }

  &.contact-transaction-item {
    padding: 0 16px;
    height: 88px;
  }

  &.expanded-card {
    min-height: 96px;
    height: unset;
  }

  .middle-content {
    padding: 12px 0;

    &.opened-details {
      padding: 12px 0;
    }
  }

  .transaction-description {
    color: $nlbMainGreyColor;

    &-date {
      color: $navigationLabelGray;
      font-family: $istok-web;
      font-size: 14px;
      font-weight: 700;
    }

    &-purpose {
      @include text-overflow;
      font-size: 16px;
      color: $nlbMainGreyColor;
      text-overflow: ellipsis;
      width: 100%;
      max-width: 680px;
      overflow: hidden;
      white-space: nowrap;
      @include media-breakpoint-down(lg) {
        max-width: 450px;
      }
      @include media-breakpoint-down(md) {
        max-width: 350px;
      }
      @include media-breakpoint-down(sm) {
        max-width: 304px;
      }
      @media (max-width: 420px) {
        max-width: 255px;
      }

      &.contact-purpose {
        max-width: 210px;
      }
    }

    &-partyname {
      @include text-overflow;
      font-size: 14px;
    }
  }

  &-details {
    word-break: normal;
    border-top: 1px solid $nlbLightGreyColor;

    label {
      margin-bottom: 0;
      word-break: normal;
    }

    .row {
      &:not(:last-child) {
        border-bottom: 1px solid $nlbLightGreyColor;
      }
    }
  }
}

.transaction-item {
  font-family: $roboto;
  position: relative;
  z-index: 1;
  background-color: white;
  height: 96px;
  border-radius: 6px;
  padding: 0 40px;

  @include media-breakpoint-down(md) {
    padding: 0 24px;
  }
  @include media-breakpoint-down(sm) {
    padding: 0 8px;
    min-height: 120px;
    height: auto;
  }

  &.smaller-card {
    padding: 0 16px;

    .transaction-description {
      max-width: 300px;
      @include media-breakpoint-down(sm) {
        max-width: 260px;
      }
      @media (max-width: 420px) {
        max-width: 225px;
      }
    }
  }

  &.contact-transaction-item {
    padding: 0 16px;
    height: 88px;
  }

  &.expanded-card {
    min-height: 96px;
    height: unset;
  }

  .middle-content {
    padding: 12px 0;

    &.opened-details {
      padding: 12px 0;
    }
  }

  .transaction-description {
    color: $nlbMainGreyColor;

    &-date {
      color: $navigationLabelGray;
      font-family: $istok-web;
      font-size: 14px;
      font-weight: 700;
    }

    &-purpose {
      @include text-overflow;
      font-size: 16px;
      color: $navigationLabelGray;
      text-overflow: ellipsis;
      width: 100%;
      max-width: 680px;
      overflow: hidden;
      white-space: nowrap;
      @include media-breakpoint-down(lg) {
        max-width: 450px;
      }
      @include media-breakpoint-down(md) {
        max-width: 350px;
      }
      @include media-breakpoint-down(sm) {
        max-width: 304px;
      }
      @media (max-width: 420px) {
        max-width: 255px;
      }

      &.contact-purpose {
        max-width: 210px;
      }
    }

    &-partyname {
      @include text-overflow;
      font-size: 14px;
    }
  }

  &-details {
    word-break: normal;
    border-top: 1px solid $nlbLightGreyColor;

    label {
      margin-bottom: 0;
      word-break: normal;
    }

    .row {
      &.with-bottom-border {
        border-bottom: 1px solid $nlbLightGreyColor;
      }
      &:last-child {
        border-top: 1px solid $nlbLightGreyColor;
      }
    }
  }
}

.transactions-loading-indicator {
  margin-left: 2.6rem !important;
  margin-top: -12px !important;
  margin-bottom: -12px !important;
}

.btn-inquire {
  width: 110px;
  height: 33px;
  border-radius: 2px;
  background-color: $gray-600;
  color: white;
}

.circle-radius {
  width: 40px;
  height: 40px;

  &.size-48 {
    width: 48px;
    height: 48px;
  }

  i {
    //font-weight: bold;
    font-size: 18px;
  }
}

.text-category {
  color: $gray-600;
  font-size: 15px;
  line-height: 20px;
  @include media-breakpoint-down(sm) {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 90px;
  }
}

.text-description {
  color: $gray-600;
  font-size: 12px;
  line-height: 20px;
}

.mt-n3 {
  margin-top: -1rem !important;
}

.mt-n1 {
  margin-top: -0.25rem !important;
}

.rounded-75 {
  border-radius: 0.75rem !important;
}

.rounded-bottom-75 {
  border-bottom-right-radius: 0.75rem !important;
  border-bottom-left-radius: 0.75rem !important;
}

.collapsed-row {
  height: 120px;
}

.btn-top-page {
  width: 50px;
  height: 50px;
  border-radius: 4px;
  background-color: #d8d8d8;
}

.label {
  background: $navigationLightGray;
  color: $nlbIndigoColor;
  border-radius: 18.5px;
  padding: 6px 18px;
  vertical-align: middle;

  &.tag-chip {
    i {
      font-size: 10px;
      margin-left: 10px;
    }
  }
}

.sub-tab-container {
  .label {
    font-size: 16px;
    font-family: Roboto, sans-serif;
    padding: 5px 18px;

    &.active {
      background: $nlbIndigoColor;
      color: $nlbWhiteColor;
    }
  }
}

.text-gray {
  color: $gray-600;
}

.amount-input {
  // height: 46px  !important;
  border: 1px solid $gray-200;
  border-radius: 4px;
  text-align: right;

  &::placeholder {
    text-align: right !important;
  }
}

.right-0 {
  right: 0rem;
}

.transaction-amount {
  font-size: 18px;

  &.credit-color {
    color: $nlbGreenColor;
  }
}

.account-name {
  font-size: 2rem;
  @include media-breakpoint-down(xs) {
    font-size: 1.5rem;
  }
}

.transaction-list-container {
  padding-top: 40px;
}

.icon-nlb-ico-chevron-down {
  font-weight: bold;
  color: $nlbDarkGreyColor;
}

.advanced-filter-invalid-amounts-error {
  margin: -20px 0 10px 0;
}

.list-group-transaction-item {
  padding: 0 40px;
  border-radius: 6px;
}

bb-transactions-number-of-results-found {
  display: none;
}

.change-category-modal-amount-wrapper {
  //margin-top: 27px;
  //height: 40px;
  float: right;

  .change-category-modal-amount {
    color: $nlbGreyColor;
    font-family: Roboto, sans-serif;
    font-weight: bold;
    font-size: 18px;
    display: block;
    width: 100%;
    text-align: right;
  }
}

.remaining-amount-wrapper {
  text-align: right;

  .remaining-amount {
    color: $nlbGreyColor;
    font-family: Roboto, sans-serif;
    font-weight: bold;
    font-size: 18px;
    display: block;
  }
}

.category-selected {
  position: absolute;
  z-index: 9;
  background: white;
  border-radius: 50%;
  height: 22px;
  width: 22px;
  padding: 2px 3px;
  font-size: 16px;
  left: 55px;
  top: 5px;
}

nlb-transaction-category-icon.categories-dropdown {
  .nlb-category-icon {
    &.selection-image {
      height: 60px;
      width: 60px;
      float: left;
      min-width: 60px;
    }
  }
}

.btn {
  &.btn-icon-text {
    i {
    }

    font-family: Roboto, sans-serif;
    font-size: 14px;
    color: $nlbIndigoColor;

    &.disabled {
      color: $nlbLightGreyColor;
    }
  }
}

.radius-and-hover {
  border-radius: 50%;

  &:hover {
    box-shadow: 0px 0px 15px 0px;
  }
}

.modal.categories-container {
  $input-width: 70%;
  $input-width-small: 55%;

  .amount-currency-group {
    .amount-currency-group-input {
      input.form-control {
        width: $input-width;

        @include media-breakpoint-down(sm) {
          width: $input-width-small;
        }
      }

      nlb-dropdown-select,
      .disabled-input {
        width: calc((100% - #{$input-width}) - 2px);

        @include media-breakpoint-down(sm) {
          width: calc((100% - #{$input-width-small}) - 2px);
        }
      }
    }

    &.error-max {
      .amount-currency-group-input {
        border: 1px solid $nlbRedColor;
      }
    }

    &.disabled {
      .amount-currency-group-input {
        border-color: $nlbLightGreyColor;

        input.form-control[readonly],
        input.form-control:disabled {
          border-color: transparent;
        }

        .vertical-split {
          background-color: $nlbLightGreyColor;
        }

        .disabled-input {
          color: $nlbLightGreyColor;
        }
      }
    }
  }

  .btn-category-remove {
    width: 40px;
    height: 40px;

    i {
      color: $nlb-gray-a;
    }
  }

  .btn-icon-text {
    padding-left: 0;
  }
}

.split-wrapper {
  padding: 2px;
  color: black;

  nlb-transaction-category-icon .nlb-category-icon.selection-image {
    min-width: 20px;
    width: 34px;
    height: 34px;
  }

  .vertical-line {
    border-left: 1px solid black;
    margin: 5px;
    height: 20px;
  }

  border: 1px solid black;
  border-radius: 20px;
  height: 40px;

  .split-text {
    font-size: 16px;
    font-family: Roboto-Medium, sans-serif;
  }
}
.splits-header {
  display: block;
  margin-top: 10px;
  font-size: 14px;
  color: $nlbMainGreyColor;
  font-family: Roboto, sans-serif;
  margin-bottom: 18px;
}
.transactions-monthly-amount {
  font-size: 26px;
  font-family: 'Istok Web', sans-serif;
  font-weight: 600;
  float: right;
}
